OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
IFSelect

# IFSelect_ParamEditor Class Reference

A ParamEditor gives access for edition to a list of TypedValue
(i.e. of Static too)
Its definition is made of the TypedValue to edit themselves,
and can add some constants, which can then be displayed but
not changed (for instance, system name, processor version ...)
I.E. it gives a way of editing or at least displaying
parameters as global
.

`#include <IFSelect_ParamEditor.hxx>`

Inheritance diagram for IFSelect_ParamEditor:

[legend]

## Public Member Functions
Standard_EXPORT | IFSelect_ParamEditor (const Standard_Integer nbmax=100, const Standard_CString label="")
| Creates a ParamEditor, empty, with a maximum count of params (default is 100) And a label, by default it will be "Param Editor" .
Standard_EXPORT void | AddValue (const Handle(Interface_TypedValue)&val, const Standard_CString shortname="")
| Adds a TypedValue By default, its short name equates its complete name, it can be explicited .
Standard_EXPORT void | AddConstantText (const Standard_CString val, const Standard_CString shortname, const Standard_CString completename="")
| Adds a Constant Text, it will be Read Only By default, its long name equates its shortname .
Standard_EXPORT TCollection_AsciiString | Label () const
| Returns the specific label .
Standard_EXPORT Standard_Boolean | Recognize (const Handle(IFSelect_EditForm)&form) const
| Tells if this Editor can work on this EditForm and its content (model, entity ?) .
Standard_EXPORT Handle_TCollection_HAsciiString | StringValue (const Handle(IFSelect_EditForm)&form, const Standard_Integer num) const
| Returns the value of an EditForm, for a given item (if not a list. for a list, a Null String may be returned) .
Standard_EXPORT Standard_Boolean | Load (const Handle(IFSelect_EditForm)&form, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Loads original values from some data, to an EditForm Remark: <ent> may be Null, this means all <model> is concerned Also <model> may be Null, if no context applies for <ent> And both <ent> and <model> may be Null, for a full static editor .
Standard_EXPORT Standard_Boolean | Apply (const Handle(IFSelect_EditForm)&form, const Handle(Standard_Transient)&ent, const Handle(Interface_InterfaceModel)&model) const
| Applies modified values of the EditForm with some data Remark: <ent> may be Null, this means all <model> is concerned Also <model> may be Null, if no context applies for <ent> And both <ent> and <model> may be Null, for a full static editor .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT Handle_IFSelect_ParamEditor | StaticEditor (const Handle(TColStd_HSequenceOfHAsciiString)&list, const Standard_CString label="")
| Returns a ParamEditor to work on the Static Parameters of which names are listed in <list> Null Handle if <list> is null or empty .
## Private Attributes
TCollection_AsciiString | thelabel

## Constructor & Destructor Documentation

Standard_EXPORT IFSelect_ParamEditor::IFSelect_ParamEditor | ( | const Standard_Integer | nbmax = `100`,
|  | const Standard_CString | label = `""`
| ) |

## Member Function Documentation

Standard_EXPORT void IFSelect_ParamEditor::AddConstantText | ( | const Standard_CString | val,
|  | const Standard_CString | shortname,
|  | const Standard_CString | completename = `""`
| ) |

Standard_EXPORT void IFSelect_ParamEditor::AddValue | ( | const Handle(Interface_TypedValue)& | val,
|  | const Standard_CString | shortname = `""`
| ) |

Standard_EXPORT Standard_Boolean IFSelect_ParamEditor::Apply | ( | const Handle(IFSelect_EditForm)& | form,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_Editor.

Standard_EXPORT const IFSelect_ParamEditor::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from IFSelect_Editor.

Standard_EXPORT TCollection_AsciiString IFSelect_ParamEditor::Label | ( |  | ) | const`[virtual]`

| Implements IFSelect_Editor.

Standard_EXPORT Standard_Boolean IFSelect_ParamEditor::Load | ( | const Handle(IFSelect_EditForm)& | form,
|  | const Handle(Standard_Transient)& | ent,
|  | const Handle(Interface_InterfaceModel)& | model
| ) | const`[virtual]`

| Implements IFSelect_Editor.

Standard_EXPORT Standard_Boolean IFSelect_ParamEditor::Recognize | ( | const Handle(IFSelect_EditForm)& | form | ) | const`[virtual]`

| Implements IFSelect_Editor.

static Standard_EXPORT Handle_IFSelect_ParamEditor IFSelect_ParamEditor::StaticEditor | ( | const Handle(TColStd_HSequenceOfHAsciiString)& | list,
|  | const Standard_CString | label = `""`
| ) | `[static]`

Standard_EXPORT Handle_TCollection_HAsciiString IFSelect_ParamEditor::StringValue | ( | const Handle(IFSelect_EditForm)& | form,
|  | const Standard_Integer | num
| ) | const`[virtual]`

| Implements IFSelect_Editor.

## Field Documentation

TCollection_AsciiString IFSelect_ParamEditor::thelabel`[private]`

The documentation for this class was generated from the following file:

- IFSelect_ParamEditor.hxx